﻿<%@ Page Title="" Language="C#" MasterPageFile="~/admin/admin1.master" AutoEventWireup="true"
  CodeFile="Admin.aspx.cs" Inherits="SociableBE_Admin" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cphAdmin" runat="Server">
  <br />
  <div class="settings">
    <h1>
      Settings: SociableBE</h1>
    <div id="formContainer" runat="server" class="mgr">
      <p>
        Social bookmarking sites allow websurfers to save, catalog, and share interesting
        pages they find online. The <strong>SociableBE-Extension</strong> appends links
        for your readers to use those sites to the end of each of your blog’s posts, increasing
        your potential audience. While <a href="http://yoast.com/wordpress/sociable" target="_blank">
          Sociable</a> is originally developed as a Wordpress-Plugin in PHP, <strong>SociableBE</strong>
        is based on the main idea but re-developed for BlogEngine.NET in C#.</p>
      <div id="lblImage" style="width: 120px; height: 20px; float: left;">
        Image Path</div>
      &nbsp;
      <asp:TextBox ID="sbe_Imgpath" runat="server"></asp:TextBox>
      <br />
      <div id="lblTag" style="width: 120px; height: 20px; float: left;">
        Tagline</div>
      &nbsp;
      <asp:TextBox ID="sbe_Tagline" runat="server"></asp:TextBox>
      <br />
      <asp:ScriptManager runat="server" />
      <asp:UpdatePanel runat="server" UpdateMode="Always">
        <ContentTemplate>
          <table>
            <tr>
              <td align="center">
                <strong>available Services<asp:Literal runat="server" ID="sbe_serviceCount" /></strong><br />
                <asp:ListBox ID="sbe_availableServices" runat="server" Width="150px" Height="280px">
                </asp:ListBox>
              </td>
              <td style="width: 80px; text-align: center;">
                <asp:UpdateProgress ID="UpdateProgress1" runat="server" DynamicLayout="false">
                  <ProgressTemplate>
                    <asp:Image ID="load" runat="server" ImageUrl="~/SociableBE/loading.gif" AlternateText="Please wait&hellip;" />
                  </ProgressTemplate>
                </asp:UpdateProgress>
                <asp:Button runat="server" ID="addService" Text="=&gt;" OnClick="addService_Click" /><br />
                <asp:Button runat="server" ID="delService" Text="&lt;=" OnClick="delService_Click" />
              </td>
              <td align="center">
                <strong>enabled Services</strong><br />
                <asp:ListBox ID="sbe_enabledServices" runat="server" Width="150px" Height="280px">
                </asp:ListBox>
              </td>
              <td align="center">
                <asp:Button runat="server" ID="pushUp" Text="+" Width="30px" OnClick="pushUp_Click" /><br />
                <asp:Button runat="server" ID="pushDown" Text="-" Width="30px" OnClick="pushDown_Click" />
              </td>
            </tr>
          </table>
        </ContentTemplate>
      </asp:UpdatePanel>
      <br />
      <br />
      <div style="margin-left: 128px;">
        <asp:Button ID="btnSave" runat="server" OnClick="btnSave_Click" />
      </div>
    </div>
  </div>
</asp:Content>
